arrows-0.4.4.1: Arrow classes and transformers

Portability | non-portable (multi-parameter type classes)
Stability | experimental
Maintainer | ross@soi.city.ac.uk
Safe Haskell | Safe-Inferred

Control.Arrow.Transformer.CoState

Description

Transformation of state readers.

TODO: define operations for this arrow.

# Documentation

newtype CoStateArrow s a b c Source

Constructors

CoStateArrow (a (s -> b) (s -> c)) |

Instances

Arrow a => Arrow (CoStateArrow s a) |
ArrowZero a => ArrowZero (CoStateArrow s a) |
ArrowPlus a => ArrowPlus (CoStateArrow s a) |
ArrowLoop a => ArrowLoop (CoStateArrow s a) |
Category a => Category (CoStateArrow s a) |
Arrow a => Functor (CoStateArrow s a b) |
Arrow a => Applicative (CoStateArrow s a b) |
ArrowPlus a => Alternative (CoStateArrow s a b) |
ArrowPlus a => Monoid (CoStateArrow s a b c) |